---
title: "idun"
date: 2023-10-29T00:49:09+02:00
draft: false
---
Idun is a small piece of software for cleaning up old backups. It supports different rules for how long backups should be kept for each project. It also supports different backends like SFTP or S3.


Backing up different programs in a secure way can be different. Each tool may use different databases or data backends. Some tools provide a way to create backups, others require a separate script. 


As long as the backup file is not too large, the easiest way is to make a full backup every time. In most cases for keks.cloud, and many other tools where this happens, the file is stored as a zip somewhere on the same machine, or on another device such as an sftp server or s3. 


Now there is a long list of files that can grow very quickly. Depending on the tool, the data will have different times to be stored. So there are currently a lot of shell (or python) scripts to clean up the old backups for each time. But this has to be created and set up each time. To make this cleanup easier there is idun, it gets all files from a backend and decides what to keep and what to delete. This is based on rules that can be changed for each tool in a single yml file.


[Check it out on git.keks.cloud](https://git.keks.cloud/keksCloud/idun)
